Name:		bristol
Version:	0.60.11
Release:	1%{dist}
Summary:	Synthesizer emulator

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://bristol.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		bristol-0.60.9-CVE-2010-3351.patch
# fix build on non-x86 arches (remove compiler options from linker flags)
#Patch1:		bristol-0.60.9-secondary.patch

BuildRequires:	libX11-devel alsa-lib-devel jack-audio-connection-kit-devel desktop-file-utils

%description
Bristol is an emulation package for a number of different 'classic' 
synthesizers including additive and subtractive and a few organs. 
The application consists of the engine, which is called bristol, 
and its own GUI library called brighton that represents all the emulations.

%package devel
Summary:	%{summary}
Group:		Applications/Multimedia
Requires:	%{name} = %{version}

%description devel
This package contains the development libraries for Bristol.

%prep
%setup -q

%patch0 -p0 -b .libpath
#%patch1 -p1 -b .secondary

find ./bitmaps/ -name '*.gz' | xargs chmod -x 
chmod -x ./memory/profiles/*
find . -name '*.c' | xargs chmod -x
find . -name '*.h' | xargs chmod -x
find . -name '*.xbm' | xargs chmod -x
find . -name '*.svg' | xargs chmod -x
chmod -x NEWS COPYING* README AUTHORS ChangeLog
chmod -x memory/mixer/default/memory memory/mini/readme.txt

# Only x86_64 is optimised for SSE, non x86 platforms don't have SSE
%ifnarch x86_64
sed -i.sse 's/-msse -mfpmath=sse //g' bristol/Makefile.am 
sed -i.sse 's/-msse -mfpmath=sse //g' bristol/Makefile.in
%endif

%build
%configure --enable-static=no --disable-version-check
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm INSTALL
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 0644 bitmaps/bicon.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/bristol.svg
desktop-file-install \
    --mode 0644 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    %{SOURCE1}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* NEWS README
%{_bindir}/*
%{_datadir}/bristol
%{_datadir}/pixmaps/*
%{_datadir}/applications/bristol.desktop
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so

%changelog
* Fri Mar 08 2013 Jon Ciesla <limburgher@gmail.com> - 0.60.11-1
- New upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.60.10-2
- Fix compilation on platforms where we don't support SSE

* Tue Jun 05 2012 Jon Ciesla <limburgher@gmail.com> - 0.60.10-1
- New upstream.

* Fri Jan 20 2012 Dan Horák <dan[at]danny.cz> - 0.60.9-2
- fix build on secondary arches

* Wed Jan 11 2012 Jon Ciesla <limburgher@gmail.com> - 0.60.9-1
- New upstream.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Jon Ciesla <limb@jcomserv.net> - 0.60.8-1
- New upstream.

* Wed Sep 29 2010 Jon Ciesla <limb@jcomserv.net> - 0.60.6-1
- New upstream, fix for CVE-2010-3351, BZ 638376.

* Tue Jan 26 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-6
- Removed INSTALL.

* Mon Jan 25 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-5
- Switched to svg icon, preserved timestamps.

* Fri Jan 22 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-4
- Dropped Encoding from desktop.
- Fixed lib ownership.

* Fri Jan 22 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-3
- Drop -libs subpackage, create -devel.
- Re-dropped mistakenly added static libs.
- Add .desktop file for -b3.

* Thu Jan 21 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-2
- Configure macro, parallel make, fixed rpath.

* Tue Jan 19 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-1
- Initial creation.
